| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
uiStratViewControl Class Reference
uiStrat

`#include <uistratdisplay.h>`

Inheritance diagram for uiStratViewControl:
[legend]

## Classes
struct | Setup

## Public Member Functions
| uiStratViewControl (uiGraphicsView &, Setup &)
| ~uiStratViewControl ()
const Interval< float > & | range () const
void | setRange (const Interval< float > &rg)
void | setSensitive (bool)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Public Attributes
Notifier< uiStratViewControl > | rangeChanged

## Protected Member Functions
void | cancelZoomCB (CallBacker *)
void | dragModeCB (CallBacker *)
void | handDragged (CallBacker *)
void | handDragging (CallBacker *)
void | handDragStarted (CallBacker *)
void | keyPressed (CallBacker *)
MouseEventHandler & | mouseEventHandler ()
void | rubBandCB (CallBacker *)
void | updatePosButtonStates ()
void | wheelMoveCB (CallBacker *)
void | zoomCB (CallBacker *)

## Protected Attributes
Interval< float > | boundingrange_
uiToolButton * | cancelzoombut_
bool | mousepressed_
Interval< float > | range_
uiToolButton * | rubbandzoombut_
float | startdragpos_
uiToolBar * | tb_
uiToolButton * | vertzoominbut_
uiToolButton * | vertzoomoutbut_
uiGraphicsView & | viewer_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiStratViewControl()

uiStratViewControl::uiStratViewControl | ( | uiGraphicsView & | ,
|  | Setup & | )

## ◆ ~uiStratViewControl()

uiStratViewControl::~uiStratViewControl | ( |  | ) |

## Member Function Documentation

## ◆ cancelZoomCB()

void uiStratViewControl::cancelZoomCB | ( | CallBacker * |  | ) |
| protected

## ◆ dragModeCB()

void uiStratViewControl::dragModeCB | ( | CallBacker * |  | ) |
| protected

## ◆ handDragged()

void uiStratViewControl::handDragged | ( | CallBacker * |  | ) |
| protected

## ◆ handDragging()

void uiStratViewControl::handDragging | ( | CallBacker * |  | ) |
| protected

## ◆ handDragStarted()

void uiStratViewControl::handDragStarted | ( | CallBacker * |  | ) |
| protected

## ◆ keyPressed()

void uiStratViewControl::keyPressed | ( | CallBacker * |  | ) |
| protected

## ◆ mouseEventHandler()

MouseEventHandler & uiStratViewControl::mouseEventHandler | ( |  | ) |
| protected

## ◆ range()

const Interval< float > & uiStratViewControl::range | ( |  | ) | const
| inline

## ◆ rubBandCB()

void uiStratViewControl::rubBandCB | ( | CallBacker * |  | ) |
| protected

## ◆ setRange()

void uiStratViewControl::setRange | ( | const Interval< float > & | rg | ) |
| inline

## ◆ setSensitive()

void uiStratViewControl::setSensitive | ( | bool |  | ) |

## ◆ updatePosButtonStates()

void uiStratViewControl::updatePosButtonStates | ( |  | ) |
| protected

## ◆ wheelMoveCB()

void uiStratViewControl::wheelMoveCB | ( | CallBacker * |  | ) |
| protected

## ◆ zoomCB()

void uiStratViewControl::zoomCB | ( | CallBacker * |  | ) |
| protected

## Member Data Documentation

## ◆ boundingrange_

Interval<float> uiStratViewControl::boundingrange_
| protected

## ◆ cancelzoombut_

uiToolButton* uiStratViewControl::cancelzoombut_
| protected

## ◆ mousepressed_

bool uiStratViewControl::mousepressed_
| protected

## ◆ range_

Interval<float> uiStratViewControl::range_
| protected

## ◆ rangeChanged

Notifier<uiStratViewControl> uiStratViewControl::rangeChanged

## ◆ rubbandzoombut_

uiToolButton* uiStratViewControl::rubbandzoombut_
| protected

## ◆ startdragpos_

float uiStratViewControl::startdragpos_
| protected

## ◆ tb_

uiToolBar* uiStratViewControl::tb_
| protected

## ◆ vertzoominbut_

uiToolButton* uiStratViewControl::vertzoominbut_
| protected

## ◆ vertzoomoutbut_

uiToolButton* uiStratViewControl::vertzoomoutbut_
| protected

## ◆ viewer_

uiGraphicsView& uiStratViewControl::viewer_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025